/*
 *Copyright(C) 2023 by Chief All rights reserved.
 *Unity版本：2023.2.5f1c1 
 *作者:Chief  
 *创建日期: 2024-01-19 
 *模块说明：多线程对象池部分
 *版本: 1.0
*/

namespace Aster.AsterTask
{
    /// <summary>
    /// 并行对象池接口
    /// </summary>
    public interface I_ConcurrentPoolItem 
    {

        /// <summary>
        /// 创建时调用
        /// </summary>
        void OnCreate();

        /// <summary>
        /// 获取时调用
        /// </summary>
        void OnGet();

        /// <summary>
        /// 回收时调用
        /// </summary>
        void OnPut();

    }
}